package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.integral.IntegralOrder;

import java.util.List;

/**
 *  积分商城订单表接口
 * @author ys
 * @Date 2018-04-28
 */
public interface IntegralOrderMapper {
    /**
     * 获取集合
     * @param  integralOrder
     * @return List
     */
    List<IntegralOrder> getIntegralOrderList(IntegralOrder  integralOrder);
    /**
     * 查询单条数据
     * @param  id
     * @return  integralOrder
     */
    IntegralOrder getIntegralOrderById(String  id);
    /**
     * 增加数据
     * @param  integralOrder
     * @return Integer
     */
    Integer  save(IntegralOrder  integralOrder);
    /**
     * 修改数据
     * @param  integralOrder
     * @return Integer
     */
    Integer  update(IntegralOrder  integralOrder);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(String  id);
}